#pragma once

#include "CoreMinimal.h"
#include "ArchivePassTooltipViewData.h"
#include "TimerFlagViewData.h"
#include "UObject/SoftObjectPtr.h"
#include "StoreArchivePassViewData.generated.h"

class UTexture2D;

USTRUCT(BlueprintType)
struct FStoreArchivePassViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FString PassId;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FName ArchiveId;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FText ItemName;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FText ArchiveTitle;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FArchivePassTooltipViewData TooltipData;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool IsOwned;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FTimerFlagViewData TimerFlagViewData;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TSoftObjectPtr<UTexture2D> Icon;

public:
	DBDUIVIEWINTERFACES_API FStoreArchivePassViewData();
};

FORCEINLINE uint32 GetTypeHash(const FStoreArchivePassViewData) { return 0; }
